/*!**********************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./node_modules/sass-loader/dist/cjs.js!./app/resources/sass/app.scss ***!
  \**********************************************************************************************************************/
/*
    app.scss
*/
html, body {
  width: 100%;
  height: 100%;
  margin: 0 auto;
  background-color: rgb(0, 0, 0);
}

.container {
  position: relative;
  width: 500px;
  height: 350px;
}

.chat-strike {
  width: 100%;
  height: 100%;
  background-repeat: no-repeat;
  background-size: 100% 100%;
}

.chat-strike-content {
  position: relative;
  width: 96%;
  height: 79%;
  padding: 10px;
  box-shadow: inset -1px -1px #7c8c70, inset 1px 1px rgb(10, 10, 10), inset -2px -2px #7c8c70, inset 2px 2px #7c8c70;
  overflow-x: hidden;
  overflow-y: auto;
  font-family: "Courier Prime", "Courier New", monospace;
  background-color: rgba(0, 0, 0, 0.35);
}

.chat-style-spec {
  color: #ffffff;
}

.chat-style-t {
  color: #ff4040;
}

.chat-style-ct {
  color: #96c8ff;
}

.chat-style-notice {
  color: #ffd000;
}

.chat-strike-actions {
  position: absolute;
  bottom: 0;
  width: 100%;
}

.chat-strike-actions-message {
  position: relative;
  width: 100%;
}

.chat-input-element {
  padding: 10px;
  background-color: rgba(62, 70, 55, 0.45);
  border: 1px solid #7c8c70;
  color: #ffd000;
  font-family: "Courier Prime", "Courier New", monospace;
  font-size: 14px;
  font-weight: bold;
  padding: 4px 8px;
  outline: none;
  box-shadow: inset 1px 1px 2px rgba(0, 0, 0, 0.6);
  letter-spacing: 0.5px;
}

.chat-strike-actions-message input {
  width: 96%;
}

.chat-strike-actions-settings {
  position: relative;
  width: 100%;
}

.chat-strike-actions-settings input {
  width: 67%;
  padding: 5px;
}

.chat-strike-actions-settings select {
  width: 30%;
  padding: 5px;
  float: right;
}
